Патч Unification patch for 1.32 - 1.31 - 1.31GOTY - 1.31A 1.1

Универсальный патч совместимости для 1.32, 1.31 GOG GOTY и 1.31 GOG/Steam не-GOTY версий игры

  1. GeorG
    Unification Patch / Универсальный патч совместимости (или UPatch) предназначен для сведения конфликта разных версий игры Ведьмак 3 на нет.

    [update] 06.11.2018 г. CDPR выпустили патч 1.32 для Steam и GOG версий игры. Этот патч всего лишь добавляет в игру поддержку упрощённого китайского языка и не затрагивает существующие моды. Всё, что справедливо для патча 1.31, справедливо также и для патча 1.32.

    Что делает UPatch?
    • Меняет базовые скрипты игры, внося в них правки, доступные только в GOTY версии игры. Содержит только официальный код версий 1.31 и 1.31 GOG GOTY, никаких фанатских изменений. Если до патча у вас была не-GOTY, то с UPatch вы получите почти GOTY. Если у вас уже GOG GOTY, UPatch улучшит совместимость с модами версии 1.31 (не-GOTY).

    А для моей версии игры нужен UPatch?
    • Да. UPatch нужен для всех версий игры.

    Для чего мне нужен UPatch?
    • Для разрешения проблем совместимости при установке скриптовых модов.

    Какие версии модов подходят для использования с UPatch?
    1. Версия для Unification patch, если такая имеется или если автор говорит о полной совместимости с UPatch.
    2. При отсутствии UPatch-версии используется GOTY-версия.
    3. Если у мода нет ни UPatch, ни GOTY версий, используйте версии 1.31/1.30. Имейте ввиду, что для некоторых модов версии 1.31/1.30 может потребоваться ручное устранение конфликтов в Script Merger.

    Установка
    Для установки патча скопируйте папки "content" и "Mods" в папку <Путь куда установлена The Witcher 3> с заменой файлов - убедитесь, что вы выбрали "заменить", а не "сохранить обе версии", при копировании. Объедините заново все скрипты в Script Merger, если до этого у вас таковые имелись.
    Примечание: перед установкой UPatch обновите игру до последней доступной официальной версии, для надёжности можете запустить верификацию кэша.

    Удаление
    • Если вы хотите вернуться к версии 1.31 не-ГОТИ, скачайте файл "Base 1.31 scripts" (смотрите в папке архива) и скопируйте папку "content" в папку <Путь куда установлена The Witcher 3> с заменой файлов. Затем удалите папку mod0000____CompilationTrigger из папки <Путь куда установлена The Witcher 3>\Mods. Объедините заново все скрипты в Script Merger, если до этого у вас таковые имелись.
    • Если вы хотите вернуться к версии 1.31 ГОТИ, скачайте файл "Base 1.31 GOG GOTY scripts" (смотрите в папке архива) и скопируйте папку "content" в папку <Путь куда установлена The Witcher 3> с заменой файлов. Затем удалите папку mod0000____CompilationTrigger из папки <Путь куда установлена The Witcher 3>\Mods. Объедините заново все скрипты в Script Merger, если до этого у вас таковые имелись.
    • Если копирование не помогает или вы запутались в папках, версиях и модах, просто удалите всю папку <Путь куда установлена The Witcher 3>\Mods и запустите верификацию кэша игры.

    Список изменений патча:
    1. Главное меню будет случайным как в ГОТИ (если вы используете мод Friendly HUD / Удобный интерфейс, вы сможете выбрать любую анимацию главного меню);
    2. Не-GOTY получит небольшой фикс уровня предметов в НИ+, доступный только в GOTY версии;
    3. Сообщение "DLC такое-то установлено" больше не будет появляться при загрузке сохранения;
    4. Приветственное сообщение в главном меню больше не будет показываться (не относится к GOTY, нужно для совместимости);
    5. Баннеры "DLC установлено" в главном меню больше не будут показываться, если у вас есть оба платных DLC (можно вернуть баннеры назад в настройках Friendly HUD);
    6. GOTY получит опцию "Загружаемый контент" в главном меню, где будут отображаться все установленные DLC;
    7. И самое главное: базовые скрипты обеих версий игры будут идентичны, что существенно облегчить жизнь как модмейкерам, так и пользователям модов.